# Note that this is NOT a relocatable package
%define ver      1.2.6
%define rel      1.3.0
%define prefix   /usr

Summary: A library of handy utility functions.
Name: glib
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/glib-%{ver}.tar.gz
BuildRoot: /var/tmp/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org

Patch1: glib-1.2.6-pre1.2.7.patch

%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package devel
Summary: glib libraries and headers for development
Group: Development/Libraries
Requires: glib
Prereq: /sbin/install-info

%description devel
Development libs and files for glib

%prep
%setup
%patch1 -p1 -b .pre1.2.7

%configure
libtoolize --force --copy
# autoconf
automake

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--mandir=$RPM_BUILD_ROOT/%{_mandir} \
	--infodir=$RPM_BUILD_ROOT/%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/libglib-1.2.so.*
%{_prefix}/lib/libgthread-1.2.so.*
%{_prefix}/lib/libgmodule-1.2.so.*

%files devel
%defattr(-, root, root)

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/lib/glib
%{_prefix}/include/*
%doc %{_mandir}/man1/*
%{_prefix}/share/aclocal/*
%{_prefix}/bin/*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.6, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Fri Mar 16 2001 Pete O'Hara <pete@guardiandigital.com>
- removed overriding Docdir: %{prefix}/doc declaration so that
	documentation dirs are consistent with our default
	/usr/share/doc

* Sat Nov 25 2000 Dave Wreski <dave@guardiandigital.com>
- removed autoconf

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- initial basic version

